#
# spec file for package sidplay (Version 1.36.47)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         sidplay
Copyright:    GPL
Group:        Applications/Sound
Autoreqprov:  on
Version:      1.36.47
Release:      90
Summary:      Player for C64 music files
Source:  sidplay-base-1.0.4.tgz
Source1: libsidplay-%{version}.tgz
#Patch:   .dif

%description
This package allows you to play music from C64 games and demos on your PC.
You can find a comprehensive archive on the WWW at
http://www.hvsc.c64.org/

Authors:
--------
    Michael Schwendt <sidplay@geocities.com>

SuSE series: snd

%prep
%setup -n sidplay-base-1.0.4 -a 1
#%patch
%ifarch i386
cd libsidplay-%{version}
patch -p1 <libsidplay-ix86-optimize.patch
cd ..
%endif

%build
cd libsidplay-%{version}
./configure --prefix=/usr
make
make install
cd ..
%{?suse_update_config:%{suse_update_config -fl}}
./configure --prefix=/usr
make

%install
make install
DOCDIR=%{_docdir}/sidplay
rm -fr $DOCDIR
install -d -m 755 $DOCDIR
install -d -m 755 $DOCDIR/libsidplay
install -m 644 COPYING INSTALL POINTER $DOCDIR
install -m 644 libsidplay-%{version}/AUTHORS libsidplay-%{version}/COPYING libsidplay-%{version}/DEVELOPER libsidplay-%{version}/INSTALL $DOCDIR/libsidplay
install -m 644 libsidplay-%{version}/src/fastforward.txt libsidplay-%{version}/src/format.txt libsidplay-%{version}/src/mixing.txt \
	libsidplay-%{version}/src/mpu.txt libsidplay-%{version}/src/panning.txt $DOCDIR/libsidplay

%files
%{_docdir}/sidplay
/usr/include/sidplay
/usr/bin/sid2wav
/usr/bin/sidcon
/usr/bin/sidplay
/usr/lib/libsidplay.a
/usr/lib/libsidplay.la
/usr/lib/libsidplay.so
/usr/lib/libsidplay.so.1
/usr/lib/libsidplay.so.1.0.0

%changelog -n sidplay
* Wed Apr 11 2001 - uli@suse.de
- suse_update_config fixes 390
* Wed Feb 28 2001 - uli@suse.de
- update -> 1.36.47
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 28 1999 - uli@suse.de
- update -> 1.36.35
* Wed Mar 17 1999 - uli@suse.de
- update 1.36.32 -> 1.36.34
* Fri Feb 19 1999 - uli@suse.de
- new package, version 1.36.32
